For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet logs for one Shipment by Order Id and Shipment Id
      • GETGet one Shipment by Shipment Id
      • GETGet all Shipments for Order
      • GETGet one Shipment's status timeline by Order Id and Shipment Id
      • GETGet Orders
      • POSTCreate Order
      • GETGet one Shipment by Order Id and Shipment Id
      • GETGet Order
      • GETGet one Shipment's status timeline by Shipment Id
      • GETGet logs for one Shipment by Shipment Id
      • POSTCancel one Shipment by Order Id and Shipment Id
      • POSTCancel one Shipment by Shipment Id
      • POSTCancel single Order by Order ID
      • GETGet Order Store Json
      • POSTSave the Store Order Json
      • POSTUpdate Tracking Uploaded Status for Multiple Shipments by Shipment Id
      • POSTCancel multiple Shipments by Shipment Id
      • POSTEstimate Fulfillment Cost For Order
      • GETGet shipping methods
      • GETGet Completely Cancelled Orders
LogoLogo
API ReferenceOrders

Create Order

||View as Markdown|
POST
https://sandbox-api.shipbob.com/2025-07/order
POST
/2025-07/order
$curl -X POST https://sandbox-api.shipbob.com/2025-07/order \
> -H "shipbob_channel_id: 1" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json-patch+json" \
> -d '{
> "products": [
> {
> "external_line_id": 0,
> "id": 0,
> "quantity": 1,
> "quantity_unit_of_measure_code": "string"
> }
> ],
> "recipient": {
> "address": null,
> "name": "John Doe",
> "email": "john@example.com",
> "phone_number": "555-555-5555"
> },
> "financials": {
> "total_price": 0.1
> },
> "gift_message": "string",
> "location_id": 0,
> "order_number": "string",
> "purchase_date": "2019-08-24T14:15:22+00:00",
> "reference_id": "string",
> "retailer_program_data": {
> "addresses": [
> {
> "address1": "100 Nowhere Blvd",
> "city": "Gotham City",
> "country": "US",
> "type": "MarkFor",
> "address2": "Suite 100",
> "company_name": "Wayne Enterprises",
> "state": "NJ",
> "zip_code": "07093"
> }
> ],
> "customer_ticket_number": "string",
> "delivery_date": "2019-08-24T14:15:22+00:00",
> "department": "string",
> "doNotShipBeforeDate": "2019-08-24T14:15:22+00:00",
> "mark_for_store": "string",
> "purchase_order_number": "string",
> "retailer_program_type": "string",
> "shipByDate": "2019-08-24T14:15:22+00:00"
> },
> "shipping_method": "Free 2-day Shipping",
> "shipping_terms": {
> "carrier_type": "Parcel",
> "payment_term": "Collect"
> },
> "tags": [
> {
> "name": "Handling instructions",
> "value": "Fragile"
> }
> ],
> "type": "DTC"
>}'
1{
2 "channel": {
3 "id": 0,
4 "name": "ShipBobs-Shopify-Store"
5 },
6 "created_date": "2019-08-24T14:15:22+00:00",
7 "financials": {
8 "total_price": 0.1
9 },
10 "gift_message": "string",
11 "id": 0,
12 "order_number": "string",
13 "products": [
14 {
15 "external_line_id": 0,
16 "gtin": "string",
17 "id": 0,
18 "quantity": 0,
19 "quantity_unit_of_measure_code": "string",
20 "reference_id": "TShirtBlueM",
21 "sku": "TShirtBlueM",
22 "unit_price": 0.1,
23 "upc": "string"
24 }
25 ],
26 "purchase_date": "2019-08-24T14:15:22+00:00",
27 "recipient": {
28 "address": null,
29 "name": "John Doe",
30 "email": "john@example.com",
31 "phone_number": "555-555-5555"
32 },
33 "reference_id": "string",
34 "retailer_program_data": {
35 "addresses": [
36 {
37 "address1": "100 Nowhere Blvd",
38 "city": "Gotham City",
39 "country": "US",
40 "type": "MarkFor",
41 "address2": "Suite 100",
42 "company_name": "Wayne Enterprises",
43 "state": "NJ",
44 "zip_code": "07093"
45 }
46 ],
47 "customer_ticket_number": "string",
48 "delivery_date": "2019-08-24T14:15:22+00:00",
49 "department": "string",
50 "doNotShipBeforeDate": "2019-08-24T14:15:22+00:00",
51 "mark_for_store": "string",
52 "purchase_order_number": "string",
53 "retailer_program_type": "string",
54 "shipByDate": "2019-08-24T14:15:22+00:00"
55 },
56 "shipments": [
57 null
58 ],
59 "shipping_method": "Free 2-day Shipping",
60 "shipping_terms": {
61 "carrier_type": "Parcel",
62 "payment_term": "Collect"
63 },
64 "status": "Processing",
65 "tags": [
66 {
67 "name": "Handling instructions",
68 "value": "Fragile"
69 }
70 ],
71 "type": "DTC"
72}
Was this page helpful?
Previous

Get Orders

Next

Get one Shipment by Order Id and Shipment Id

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Headers

shipbob_channel_idintegerRequired
Channel Id for Operation

Request

productslist of objectsRequired

Products included in the order. Products identified by reference_id must also include the product name if there is no matching ShipBob product.

recipientobjectRequired
Information about the recipient of an order
financialsobjectOptional
gift_messagestringOptional<=500 characters
Gift message associated with the order
location_idintegerOptional
Desired Fulfillment Center Location ID. If not specified, ShipBob will determine the location that fulfills this order.
order_numberstringOptional<=400 characters
User friendly orderId or store order number that will be shown on the Orders Page. If not provided, referenceId will be used
origin_platform_programstringOptional<=100 characters
Origin platform program for the order. Accepts a program name.
purchase_datedatetimeOptional
Date this order was purchase by the end user
reference_idstringOptional1-300 characters
Unique and immutable order identifier from your upstream system
requested_delivery_datedatetimeOptional
The delivery date requested by the source platform for the order in UTC
retailer_program_dataobjectOptional

Contains properties that needs to be used for fulfilling B2B/Dropship orders.

sales_channelstringOptional<=100 characters

Origin platform source for the order. Accepts a sales channel name that is case insensitive and the list of acceptable values can be found at https://support.shipbob.com/s/article/ShipBob-Developer-API

shipping_methodstringOptional>=1 character

Client-defined shipping method matching what the user has listed as the shipping method on the Ship Option Mapping setup page in the ShipBob Merchant Portal. If they don’t match, we will create a new one and default it to Standard

shipping_termsobjectOptional
Contains shipping properties that need to be used for fulfilling an order.
tagslist of objectsOptional
Key value pair array to store extra information at the order level for API purposes. ShipBob won't display the info in the ShipBob Merchant Portal or react based on this data.
typeenumOptional
Allowed values:

Response

Created
channelobject
Created by channel metadata
created_datedatetime
Date this order was created
financialsobject
gift_messagestring
Gift message associated with the order
idinteger
Unique id of the order
order_numberstring
User friendly orderId or store order number that will be shown on the Orders Page. If not provided, referenceId will be used
productslist of objects
List of products included in the order
purchase_datedatetime
Date this order was purchase by the end user
recipientobject
Information about the recipient of an order
reference_idstring

Client-defined external unique id of the order

retailer_program_dataobject

Contains properties that needs to be used for fulfilling B2B/Dropship orders.

shipmentslist of any
Shipments affiliated with the order
shipping_methodstring

Client-defined shipping method

shipping_termsobject
Contains shipping properties that need to be used for fulfilling an order.
statusenum
tagslist of objects

Client-defined order tags

typeenum
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error